Subject: bug#5806: closed (Re: bug#5806: Tai Viet script)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 18 Sep 2019 12:59:02 +0000

Your bug report

#5806: Tai Viet script

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
5806: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=5806
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#5806: Tai Viet script
From: Eli Zaretskii <[email-masked]>
To: [email-masked], [email-masked]
Cc: [email-masked]
Date: Wed, 18 Sep 2019 15:58:44 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Fri, 23 Aug 2019 11:01:06 +0300
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> > From: Lars Ingebrigtsen <[email-masked]>
> > Date: Fri, 23 Aug 2019 02:11:29 +0200
> > Cc: [email-masked]
> > 
> > > The file still contains the bogus character `' which needs to be fixed.
> > 
> > OK; I've reopened the bug report.
> > 
> > Is there a replacement for "" now?  It's been nine years, so perhaps
> > Unicode (or somebody) has done something.
> 
> I asked on the Unicode mailing list, let's see what that brings.
> 
> Btw, I also am not sure the rest of the Tai Viet text there is
> correct; for starters, there's no such thing as "the Tai Viet
> language": the script is used for several languages.  Likewise with
> the greeting text: couldn't verify it with a few similar samples I
> found.  (Once we figure all that out, we should add an entry to HELLO
> with the same greeting, btw.)

With help of the people on the Unicode mailing list (the most
important contribution was sent to me off-list), I've now fixed all
these issues, and I'm marking this bug done.

Subject: Tai Viet script
From: Andreas Schwab <[email-masked]>
To: [email-masked]
Date: Sun, 28 Mar 2010 18:14:43 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

language/tai-viet.el contains some encoding errors, apparently the
conversion from the temporary PUA encoding was erroneous.  I've tried to
fix it by comparing the glyphs from the "Unified Thai (20.02.2006)" font
with the "Tai Heritage Pro" font from sil.org, but some characters still
look wrong (ꪁ ꪅ ꪰ) when compared with the version from VietThai-0.9, and
one character () is still encoded in the temporary encoding where I
cannot find a replacement.

Additionally, the composition support was never updated.

Andreas.

=== modified file 'lisp/language/tai-viet.el'
--- lisp/language/tai-viet.el	2010-01-13 08:35:10 +0000
+++ lisp/language/tai-viet.el	2010-03-28 14:39:46 +0000
@@ -37,7 +37,7 @@
 	      (coding-system utf-8)
 	      (coding-priority utf-8)
 	      (input-method . "tai-sonla")
-	      (sample-text . "TaiViet (ꪁꪫꪱꪣ ꪽꪕ)\t\tꪅꪰꪙ꫃ ꪨꪮ꫃ ꪁꪫꪱ / ꪅꪾ ꪨ� ꪁꪫꪱ")
+	      (sample-text . "TaiViet (ꪁꪫꪱꪣ ꪼꪕ)\t\tꪅꪰꪙꫂ ꪨꪮꫂ ꪁꪫꪱ / ꪅꪽ ꪨꪷ ꪁꪫꪱ")
 	      (documentation . "\
 TaiViet refers to the Tai language used by Tai people in
 Vietnam, and also refers to the script used for this language.
@@ -45,15 +45,15 @@ Both the script and language have the sa
 language/script used in Thailand, but now they differ from each
 other in a significant way (especially the scripts are).
 
-The language name is spelled as \"ꪁꪫꪱꪣ ꪽꪕ\", and the script name is
-spelled as \"ꪎ� ꪽꪕ\" in the modern form, \"ꪎꪴ ꪽꪕ\" in the traditional
-from.
+The language name is spelled as \"ꪁꪫꪱꪣ ꪼꪕ\", and the script name is
+spelled as \"ꪎ ꪼꪕ\" in the modern form, \"ꪎꪳ ꪼꪕ\" in the traditional
+form.
 
 As the proposal for TaiViet script to the Unicode is still on
 the progress, we use the Private Use Area for TaiViet
 characters (U+F000..U+F07E).  A TaiViet font encoded accordingly
 is available at this web page:
-    http://www.m17n.org/TaiViet/
+    http://www.m17n.org/viettai/
 ")))
 
 (provide 'tai-viet)

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."